io.vertx.rxjava.servicediscovery.types

## Class JDBCDataSource

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.JDBCDataSource

-     public class JDBCDataSource
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<JDBCDataSource>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCDataSource(JDBCDataSource delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)`
    `JDBCDataSource` | `getDelegate()`
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static JDBCDataSource` | `newInstance(JDBCDataSource arg)`
    `static rx.Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static rx.Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static rx.Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static rx.Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<JDBCDataSource> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCDataSource

          public JDBCDataSource(JDBCDataSource delegate)

  - ### Method Detail

    - #### getDelegate

          public JDBCDataSource getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            JsonObject location,
                                            JsonObject metadata)

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           JsonObject filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### rxGetJDBCClient

          public static rx.Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                              JsonObject filter)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           java.util.function.Function<Record,Boolean> filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter (must not be `null`)
        `resultHandler` - The result handler

    - #### rxGetJDBCClient

          public static rx.Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                              java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter (must not be `null`)
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           JsonObject filter,
                                           JsonObject consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### rxGetJDBCClient

          public static rx.Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                              JsonObject filter,
                                                              JsonObject consumerConfiguration)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           java.util.function.Function<Record,Boolean> filter,
                                           JsonObject consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### rxGetJDBCClient

          public static rx.Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                              java.util.function.Function<Record,Boolean> filter,
                                                              JsonObject consumerConfiguration)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `consumerConfiguration` - the consumer configuration
      Returns:

    - #### newInstance

          public static JDBCDataSource newInstance(JDBCDataSource arg)

Copyright © 2017. All rights reserved.